<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
	  
  </PropertyGroup>
	<ItemGroup>
		<PackageReference Include="log4net" Version="2.0.15" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
		<PackageReference Include="Quartz" Version="3.11.0" />
		<PackageReference Include="Quartz.Extensions.Hosting" Version="3.11.0" />
		<PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="7.0.3" />

		<!-- WCF packages (chỉ giữ 6.0.0) -->
		<PackageReference Include="System.ServiceModel.Http" Version="6.0.0" />
		<PackageReference Include="System.ServiceModel.NetTcp" Version="6.0.0" />
		<PackageReference Include="System.ServiceModel.Federation" Version="6.0.0" />
		<PackageReference Include="System.ServiceModel.Duplex" Version="6.0.0" />

		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.20" />
		<PackageReference Include="Microsoft.Extensions.Configuration.UserSecrets" Version="7.0.0" />
	</ItemGroup>
	<ItemGroup>
		<ProjectReference Include="..\Database\Database.csproj" />
	</ItemGroup>
	<ItemGroup>
	  <Reference Include="DotnetLib">
	    <HintPath>..\lib\DotnetLib.dll</HintPath>
	  </Reference>
	</ItemGroup>
</Project>
